Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout
Class LayoutMoveEvent

    java.lang.Object
      java.util.EventObject
          org.jasig.portal.layout.LayoutEvent
              org.jasig.portal.layout.LayoutMoveEvent

All Implemented Interfaces:
  java.io.Serializable

    public class LayoutMoveEvent

extends LayoutEvent

A layout event involving old parent reference. Used to related "move" and "delete" node events.

Version:
  1.0
Author:
  Peter Kharchenko
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `oldParentNodeId`

Fields inherited from class org.jasig.portal.layout.LayoutEvent
`node`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`LayoutMoveEvent(java.lang.Object source, IUserLayoutNodeDescription node, java.lang.String oldParentNodeId)` Construct a `LayoutMoveEvent` from a given source, node, and node's old parent.

Method Summary
`java.lang.String` | `getOldParentNodeId()` Obtain an id of an OLD parent node.

Methods inherited from class org.jasig.portal.layout.LayoutEvent
`getNodeDescription`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### oldParentNodeId

    protected java.lang.String oldParentNodeId

Constructor Detail

### LayoutMoveEvent

    public LayoutMoveEvent(java.lang.Object source,
                           IUserLayoutNodeDescription node,
                           java.lang.String oldParentNodeId)

  Construct a `LayoutMoveEvent` from a given source, node, and node's old parent.

  Parameters:
    `source` - an `Object` that generated the event
    `node` - an `UserLayoutNodeDescription` of the node that was involved
    `oldParentNodeId` - a `String` value of an old parent id

Method Detail

### getOldParentNodeId

    public java.lang.String getOldParentNodeId()

  Obtain an id of an OLD parent node. This is the node to which a given node used to be attached.

  Returns:
    a `String` node id

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD